/// class ProspectDirector.Web.UI.FeatureSets.EditorDefinitionCollection

/**
[NEEDS DOCUMENTATION]
@class EditorDefinitionCollection
@namespace Web.UI.FeatureSets
@constructor
**/
ProspectDirector.Web.UI.FeatureSets.EditorDefinitionCollection = ProspectDirector.Web.List.extend({

    //==============================
    // PUBLIC METHODS
    //==============================

    getByGroupId: function (groupId) {

        var result = new ProspectDirector.Web.List();

        this.each(function (index, definition) {

            if (groupId === definition.get_groupId()) {
                result.add(definition);
            }

        });

        return result;

    }

});